> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decibel.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bulk orders

> Retrieve the latest bulk orders for a specific user with optional market filtering.
Returns one bulk order per market with current bid/ask levels and fills applied.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/bulk_orders
openapi: 3.1.0
info:
  title: Decibel Trading API
  description: >-
    RESTful API for Decibel. Provides read-only endpoints for market data,
    trading operations, positions, and analytics.
  contact:
    name: Decibel Team
    url: https://decibel.trade/
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.mainnet.aptoslabs.com/decibel
    description: Mainnet
  - url: https://api.testnet.aptoslabs.com/decibel
    description: Testnet
security:
  - bearerAuth: []
tags:
  - name: Market Data
    description: Market information and real-time data endpoints
  - name: User
    description: User information and account management
  - name: Trades
    description: Trading operations and history
  - name: Positions
    description: User position management
  - name: Orders
    description: Order management and history
  - name: TWAP
    description: Time-weighted average price orders
  - name: Bulk Orders
    description: Bulk order management
  - name: Vaults
    description: Vault operations and management
  - name: Analytics
    description: Analytics and performance metrics
  - name: Predeposit Rewards
    description: Season 0 predeposit USDC rewards
  - name: Referrals
    description: Referral code management and tracking
paths:
  /api/v1/bulk_orders:
    get:
      tags:
        - Bulk Orders
      summary: Get bulk orders
      description: >-
        Retrieve the latest bulk orders for a specific user with optional market
        filtering.

        Returns one bulk order per market with current bid/ask levels and fills
        applied.
      operationId: handle_bulk_orders
      parameters:
        - name: account
          in: path
          description: User account address
          required: true
          schema:
            type: string
          example: 0x123...
        - name: market
          in: path
          description: Filter by specific market address
          required: true
          schema:
            type:
              - string
              - 'null'
          example: 0xmarket123...
      responses:
        '200':
          description: Bulk orders retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BulkOrderDto'
        '500':
          description: Database error
components:
  schemas:
    BulkOrderDto:
      type: object
      required:
        - market
        - user
        - sequence_number
        - bid_prices
        - bid_sizes
        - ask_prices
        - ask_sizes
        - cancelled_bid_prices
        - cancelled_bid_sizes
        - cancelled_ask_prices
        - cancelled_ask_sizes
        - cancellation_reason
        - transaction_version
        - transaction_unix_ms
        - event_uid
      properties:
        ask_prices:
          type: array
          items:
            type: number
            format: double
          example:
            - 101
            - 102
            - 103
        ask_sizes:
          type: array
          items:
            type: number
            format: double
          example:
            - 1
            - 2
            - 3
        bid_prices:
          type: array
          items:
            type: number
            format: double
          example:
            - 99
            - 98
            - 97
        bid_sizes:
          type: array
          items:
            type: number
            format: double
          example:
            - 1
            - 2
            - 3
        cancellation_reason:
          type: string
        cancelled_ask_prices:
          type: array
          items:
            type: number
            format: double
          example: []
        cancelled_ask_sizes:
          type: array
          items:
            type: number
            format: double
          example: []
        cancelled_bid_prices:
          type: array
          items:
            type: number
            format: double
          example:
            - 100
        cancelled_bid_sizes:
          type: array
          items:
            type: number
            format: double
          example:
            - 1
        event_uid:
          $ref: '#/components/schemas/u128'
        market:
          type: string
          example: 0xmarket123...
        previous_seq_num:
          type:
            - integer
            - 'null'
          format: int64
          example: 12344
          minimum: 0
        sequence_number:
          type: integer
          format: int64
          example: 12345
          minimum: 0
        transaction_unix_ms:
          type: integer
          format: int64
          example: 1730841600000
        transaction_version:
          type: integer
          format: int64
          example: 12345
          minimum: 0
        user:
          type: string
          example: 0x123...
    u128:
      type: integer
      minimum: 0
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token from Geomi. See
        [Authentication](/api-reference/rest/authentication) for setup
        instructions.

````